Subject: Lead from Live Chat - Rentacardoha.com
From: Sathish Loganathan <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Fri, 17 Jun 2022 10:35:56 -0400

| | Lead from Live Chat for Al Muftah Rent-a-Car

Name | Sathish Loganathan
E-mail | [email-masked]
Phone Number | (NA)
Lead About | Rental - Without driver
Date of Rental | 06-18-2022
Length of Rental | 1 month

Details of requirement

I will be landing tomorrow night in Qatar. I will stay until 22nd of July !

I am travelling to Qatar for a month from Bahrain for a month
I hold a valid Bahrain driving license and RP from Bahrain
is there a way i can rent a car during my stay in Qatar and how much is it ?
or what are the documents required to rent a car ?

Date | 06-17-2022

| |